// Customisations for document editing for pei jones collections

/* if true, will create a list of sets based on the metadata values in the document. If false, will just use those added by setStaticMetadataSets */
dynamic_metadata_set_list = false;
/* Can be "save", rebuild", saveandrebuild". Determines what type of save buttons are used */
save_and_rebuild_buttons = ["save", "rebuild"];
/* determines what type of metadata element input there is. Can be 'plain' - a text box, 'fixedlist' = a drop down list, 'autocomplete' - a text box with suggestions */
new_metadata_field_input_type = "fixedlist";
/* What metadata elements are used for the fixedlist and autocomplete options above  - this is a complete list of all elements. Collections may (and do) override this in their own custom-doc-editing.js file */
availableMetadataElements = [ "pj.Title", "pj.Date", "pj.Author", "pj.Catalogue-Number", "pj.Catalogue-Short", "pj.Description", "pj.Document-Type", "pj.Subject", "pj.MSHeading", "pj.Physical-Location", "pj.Provenance", "pj.Tags", "pj.Notes", "pj.Year", "pj.Location", "pj.PersonOfInterest", "pj.Event", "pj.Correspondent", "pj.Access", "pj.DisplayText", "pj.Format", "pj.Physical-Description", "pj.HideImage", "pj.EditStatus"];

function setStaticMetadataSets(list) {
  addOptionToList(list, "pj", "Pei Jones", true);
//  addOptionToList(list, "All", "All");
}

autocompleteMetadata = ["pj.MSHeading", "pj.Provenance", "pj.Document-Type", "pj.Access", "pj.DisplayText", "pj.EditStatus", "pj.Physical-Description", "pj.HideImage"];

pjMSHeading_values = ["Ao wairua", "Atua", "Hauora", "Mahi toi", "Mātauranga", "Ohaoha", "Pakanga", "Pāpāho", "Pūtaiao", "Reo Māori", "Taiao", "Tāngata", "Tāngata whenua", "Taonga", "Tikanga", "Tikanga tuku iho", "Tōrangapū", "Ture", "Waka", "Whakapapa", "Whakapono"];

pjProvenance_values = ["Pei Te Hurinui Jones 1898-1976", "Michael Rotohiko Jones 1895-1978", "Korokī Te Rata Mahuta Tāwhiao Pōtatau Te Wherowhero 1906-1966", "Te Kirihaehae Te Puea Herangi 1883–1952", "Brian Hauāuru Jones"];

pjDocumentType_values =  ["Photograph", "Letter", "Whakapapa", "Map", "Manuscript",  "Telegram", "Invitation card", "Press clipping", "Waiata", "Souvenir booklet", "Brochure", "Diagram/Schematic", "Diary", "Record", "Memo", "Draft", "Instructions"];

pjPhysicalDescription_values = ["Photocopy", "Manuscript" ];
pjAccess_values = ["unrestricted", "restricted", "embargoed"];

pjEditStatus_values = ["completed", "partial", "needs translating", "needs checking"];
pjDisplayText_values = ["true", "false"];
pjHideImage_values = ["true", "false"];




